scala.tools.jline.console.completer

# FileNameCompleter

#### class FileNameCompleter extends Completer

Linear Supertypes
Completer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FileNameCompleter
2. Completer
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FileNameCompleter()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FileNameCompleter to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (FileNameCompleter, B)

   Implicit information
     This member is added by an implicit conversion from FileNameCompleter to ArrowAssoc[FileNameCompleter] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def complete(buffer: String, cursor: Int, candidates: java.util.List[CharSequence]): Int

    Definition Classes
      FileNameCompleter → Completer

11. #### def ensuring(cond: (FileNameCompleter) ⇒ Boolean, msg: ⇒ Any): FileNameCompleter

    Implicit information
      This member is added by an implicit conversion from FileNameCompleter to Ensuring[FileNameCompleter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (FileNameCompleter) ⇒ Boolean): FileNameCompleter

    Implicit information
      This member is added by an implicit conversion from FileNameCompleter to Ensuring[FileNameCompleter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): FileNameCompleter

    Implicit information
      This member is added by an implicit conversion from FileNameCompleter to Ensuring[FileNameCompleter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): FileNameCompleter

    Implicit information
      This member is added by an implicit conversion from FileNameCompleter to Ensuring[FileNameCompleter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from FileNameCompleter to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def getUserDir(): File

    Attributes
      protected[scala.tools.jline.console.completer]

21. #### def getUserHome(): File

    Attributes
      protected[scala.tools.jline.console.completer]

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def matchFiles(buffer: String, translated: String, files: Array[File], candidates: java.util.List[CharSequence]): Int

    Attributes
      protected[scala.tools.jline.console.completer]

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def render(file: File, name: CharSequence): CharSequence

    Attributes
      protected[scala.tools.jline.console.completer]

29. #### def separator(): String

    Attributes
      protected[scala.tools.jline.console.completer]

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (FileNameCompleter, B)

    Implicit information
      This member is added by an implicit conversion from FileNameCompleter to ArrowAssoc[FileNameCompleter] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from FileNameCompleter to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (fileNameCompleter: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from FileNameCompleter to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (fileNameCompleter: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: FileNameCompleter

   Implicit information
     This member is added by an implicit conversion from FileNameCompleter to ArrowAssoc[FileNameCompleter] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (fileNameCompleter: ArrowAssoc[FileNameCompleter]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: FileNameCompleter

   Implicit information
     This member is added by an implicit conversion from FileNameCompleter to Ensuring[FileNameCompleter] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (fileNameCompleter: Ensuring[FileNameCompleter]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Completer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FileNameCompleter to StringAdd

### Inherited by implicit conversion any2stringfmt from FileNameCompleter to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from FileNameCompleter to ArrowAssoc[FileNameCompleter]

### Inherited by implicit conversion any2Ensuring from FileNameCompleter to Ensuring[FileNameCompleter]

### Ungrouped